Skip to content
Start here

Create App

realtime_kit.apps.post(AppPostParams**kwargs) -> AppPostResponse
POST/accounts/{account_id}/realtime/kit/apps

Create new app for your account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str
name: str
ReturnsExpand Collapse
class AppPostResponse:
data: Optional[Data]
app: Optional[DataApp]
id: Optional[str]
created_at: Optional[str]
name: Optional[str]
success: Optional[bool]

Create App

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.apps.post(
    account_id="account_id",
    name="name",
)
print(response.data)
{
  "data": {
    "app": {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "my-app-id",
      "name": "my-new-app"
    }
  },
  "success": true
}
Returns Examples
{
  "data": {
    "app": {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "my-app-id",
      "name": "my-new-app"
    }
  },
  "success": true
}